Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PiggybackObjectOutputStream

`java.lang.Object
java.io.OutputStream
java.io.ObjectOutputStream
oracle.jbo.common.PiggybackObjectOutputStream`

All Implemented Interfaces:
  java.io.DataOutput, java.io.ObjectOutput, java.io.ObjectStreamConstants

public class PiggybackObjectOutputStream
extends java.io.ObjectOutputStream

This class is a helper class for Client Service to do piggybacking.

Version:
  SDK

Nested Class Summary

Nested classes inherited from class java.io.ObjectOutputStream
`java.io.ObjectOutputStream.PutField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`PiggybackObjectOutputStream(java.io.OutputStream out, java.util.Locale locale, ApplicationModule am, ObjectMarshaller marshaller)` protected PiggybackObjectOutputStream(Locale locale) throws IOException { super(); mLocale = locale; }

Method Summary
`ApplicationModule` | `getApplicationModule()`
`java.util.Locale` | `getLocale()`
`ObjectMarshaller` | `getMarshaller()`

Methods inherited from class java.io.ObjectOutputStream
`annotateClass, annotateProxyClass, close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, replaceObject, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeClassDescriptor, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUnshared, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PiggybackObjectOutputStream

    public PiggybackObjectOutputStream(java.io.OutputStream out,
                                       java.util.Locale locale,
                                       ApplicationModule am,
                                       ObjectMarshaller marshaller)
                                throws java.io.IOException

  protected PiggybackObjectOutputStream(Locale locale) throws IOException { super(); mLocale = locale; }

Method Detail

### getLocale

    public java.util.Locale getLocale()

### getApplicationModule

    public ApplicationModule getApplicationModule()

### getMarshaller

    public ObjectMarshaller getMarshaller()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.